<?php
/*
 * Copyright (c) 2015, Teemu Grönqvist <teemu.gronqvist@net9.fi>, Net9 Oy
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 * 1. Redistributions of source code must retain the above copyright notice, this
 *    list of conditions and the following disclaimer. 
 * 2. Redistributions in binary form must reproduce the above copyright notice,
 *    this list of conditions and the following disclaimer in the documentation
 *    and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR
 * ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 * The views and conclusions contained in the software and documentation are those
 * of the authors and should not be interpreted as representing official policies, 
 * either expressed or implied, of the FreeBSD Project.
 */
 
return array (
  '(* Warning: Be sure to run Multicraft in "multiuser" mode with this!)' => '(Varoitus: Multicraft täytyy olla käynnistä "multiuser" moodissa jos käytät tätä!)',
  '(Leave empty to use cached Password)' => '(Jätä tyhjäksi käyttääksesi tallennettua salasanaa)',
  '(action "{action}" for "{role}")' => '',
  '(no player)' => '',
  '(no server)' => '',
  '(self action "{action}" for "{role}")' => '',
  '(unchanged)' => '',
  'A new server has been assigned to you! You can control and edit it here:' => 'Uusi palvelin on siirretty tunnuksellesi! Voit ohjata ja muokata sitä täältä:',
  'A password reset has been requested for your Multicraft account at {url}.' => 'Multicraft-tunnuksellesi on tehty salasananpalautuspyyntö osoitteessa {url}.',
  'A password reset link has been sent to your email address.' => 'Salasanan palautuslinkki on lähetetty sähköpostiosoitteeseesi.',
  'API Key' => 'API-avain',
  'API key deleted.' => 'API-avain poistettu.',
  'About' => 'Tietoa',
  'About Multicraft' => 'Tietoa Multicraftista',
  'Accept EULA' => 'Hyväksy Minecraft-käyttöehdot',
  'Access Denied' => 'Pääsy evätty',
  'Access denied!' => 'Pääsy evätty!',
  'Admin Say' => 'Admin-sano',
  'Administration Link' => 'Järjestelmänvalvontalinkki',
  'Administrator' => 'Järjestelmänvalvoja',
  'Advanced' => 'Edistyneet asetukset',
  'Advanced Search' => 'Edistynyt haku',
  'After how many milliseconds to kick players without access' => 'Potki pelaajat, joilla ei ole pääsyä, millisekuntien päästä',
  'All' => 'Kaikki',
  'All Servers' => 'Kaikki palvelimet',
  'Allow IP changes' => 'Salli IP-osoitteen muutos',
  'Allow this user to access the Multicraft API?' => 'Anna tämän käyttäjän käyttää Multicraft API -rajanpintaa',
  'Announce World Save' => 'Tiedota maailman tallennuksesta',
  'Apply' => 'Hyväksy',
  'Archive Restore' => 'Pakatun kansion palautus',
  'Are you sure you want to delete ALL players?' => 'Oletko varma, että haluat poistaa KAIKKI pelaajat?',
  'Are you sure you want to delete this item?' => 'Oletko varma, että haluat poistaa tämän?',
  'Are you sure you want to delete this player?' => 'Oletko varma, että haluat poistaa tämän pelaajan?',
  'Are you sure you want to delete this task?' => 'Oletko varma, että haluat poistaa tämän tehtävän?',
  'Are you sure you want to delete this user?' => 'Oletko varma, että haluat poistaa tämän käyttäjän?',
  'Arguments' => 'Argumentit',
  'Assign to user' => 'Siirrä käyttäjälle',
  'Attribute not found, database up to date?' => 'Ominaisuutta ei löytynyt, onko tietokanta päivän tasalla?',
  'Authentication failed! (auth: {error})' => 'Kirjautuminen epäonnistui! (auth: {error})',
  'Authentication failed! (code: {error})' => 'Kirjautuminen epäonnistui! (code: {error})',
  'Authors' => 'Tekijät',
  'Autosave' => 'Automaattinen tallennus',
  'Autostart' => 'Automaattinen käynnistys',
  'Back' => 'Takaisin',
  'Backup' => 'Varmuuskopio',
  'Backup World' => 'Varmuuskopioitava maailma',
  'Backup done, ready for download. (Created: {date})' => 'Varmuuskopiointi valmis, kopio on ladattavissa. (Luotu: {date})',
  'Backup in progress, please wait' => 'Varmuuskopiointi käynnissä, ole hyvä ja odota.',
  'Banned' => 'Porttikielto',
  'Base directory' => 'Päähakemisto',
  'Base directory is still in use by other servers' => 'Päähakemisto on toisen palvelimen käytössä',
  'Base directory shared with the following servers:' => 'Samaa päähakemistoa käyttävät seuraavat palvelimet:',
  'Belongs to' => 'Kuuluu käyttäjälle',
  'Browse' => 'Selaa',
  'Bukkit Plugin List' => 'Bukkit-lisäosien lista',
  'Bukkit Plugins' => 'Bukkit-lisäosat',
  'By Default Role' => 'Oletusroolin perusteella',
  'CB Version' => 'CB-versio',
  'CPU' => 'Prosessori',
  'Can Build' => 'Voi rakentaa',
  'Can\'t connect to Minecraft bridge! (Connection lost)' => 'Yhdistäminen Minecraft-siltaan epäonnistui! (Yhteys menetetty)',
  'Can\'t connect to Minecraft bridge! ({errno}: {errstr})' => 'Yhteys Minecraft-siltaan epäonnistui! ({errno}: {errstr})',
  'Can\'t delete server owner, the user still owns other servers:' => 'Palvelimen omistajaa ei poisteta, silä käyttäjä vielä omistaa toisia palvelimia:',
  'Cancel Setup' => 'Peruuta asennus',
  'Cannot delete base directory: ' => 'Päähaemistoa ei voi poistaa: ',
  'Categories' => 'Kategoriat',
  'Change status to' => 'Muuta tilaksi ',
  'Change subdomain' => 'Alidomain',
  'Change to' => 'Vaihda',
  'Changes on this page take effect immediately.' => 'Muutokset tällä sivulla tallennetaan välittömästi.',
  'Changing this will shut the server down if running' => 'Tämän muuttaminen sammuttaa palvelimen, jos se on päällä',
  'Chat' => 'Keskustelu',
  'Chat Role' => 'Keskustelurooli',
  'Cheat Role' => 'Huijausrooli',
  'Clean Mod Directories and Plugins' => 'Tyhjennä mod-kansiot ja lisäosat',
  'Clear chat' => 'Tyhjennä keskustelu',
  'Clear log' => 'Tyhjennä konsoli',
  'Command' => 'Komento',
  'Command List' => 'Komentolista',
  'Command saved.' => 'Komento tallennettu.',
  'Command sent, please check the server console for details' => 'Komento suoritettu. Ole hyvä ja vilkaise yksityiskohdat palvelimen konsolista',
  'Commands' => 'Komennot',
  'Compatible Plugin Versions' => 'Yhteensopivat lisäosan versiot',
  'Compress the selected entries into a zip archive' => 'Pakkaa valitut tiedostot zip-arkistoon',
  'Config File Settings' => 'Config-tiedostojen asetukset',
  'Config File saved.' => 'Config-tiedosto tallennettu.',
  'Config File settings saved.' => 'Config-tiedoston asetukset tallennettu.',
  'Config Files' => 'Config-tiedostot',
  'Config file not found' => 'Config-tiedostoa ei löytynyt',
  'Confirm Password' => 'Vahvista salasana',
  'Connected players' => 'Pelaajat',
  'Console' => 'Konsoli',
  'Contains all files for this server' => 'Sisältää kaikki tämän palvelimen tiedostot',
  'Continue' => 'Jatka',
  'Couldn\'t get chat: ' => 'Keskustelun hakeminen epäonnistui: ',
  'Couldn\'t get log: ' => 'Lokin hakeminen epäonnistui: ',
  'Create' => 'Luo',
  'Create Backup' => 'Luo varmuuskopio',
  'Create Command' => 'Luo komento',
  'Create Config File Setting' => 'Luo config-tiedoston asetus',
  'Create Database' => 'Luo tietokanta',
  'Create Player' => 'Luo pelaaja',
  'Create Server' => 'Luo palvelin',
  'Create User' => 'Luo käyttäjä',
  'Current Password' => 'Nykyinen salasana',
  'Currently Installed' => 'Asennettuna',
  'DNS name which can be used to join your server. Domain {domain} will be automatically appended.' => 'Alidomain, jolla voidaan liittyä palvelimellesi. Domain {domain} lisätään automaattisesti sen perään.',
  'Daemon' => 'Daemon',
  'Daemon Connection' => 'Daemon-yhteys',
  'Daemon JAR directory' => 'Daemo JAR-hakemisto',
  'Daemon database not up to date, please run the Multicraft installer.' => 'Daemon-tietokanta ei ole ajan tasalla. Ole hyvä ja aja Multicraf-asennusohjelma.',
  'Data receive timeout' => 'Tiedon vastaanoton aikakatkaisu',
  'Date' => 'Päivämäärä',
  'Days' => 'Päivää',
  'Default' => 'Vakio',
  'Default Role' => 'Vakiorooli',
  'Delete' => 'Poista',
  'Delete All Server Files' => 'Poista kaikki palvelimen tiedostot',
  'Delete Command' => 'Poista komento',
  'Delete Control Panel User' => 'Poista hallintapaneelin käyttäjä',
  'Delete Database' => 'Poista tietokanta',
  'Delete Player' => 'Poista pelaaja',
  'Delete Server' => 'Poista palvelin',
  'Delete Task' => 'Poista tehtävä',
  'Delete User' => 'Poista käyttäjä',
  'Delete all Players' => 'Poista kaikki pelaajat',
  'Delete all files' => 'Poista kaikki tiedostot',
  'Delete database?

WARNING: Deletes all data and cannot be undone!' => 'Poista tietokanta?

VAROITUS: Tietoja ei voida palauttaa poistamisen jälkeen!',
  'Description' => 'Kuvaus',
  'Directory' => 'Kansio',
  'Disable' => 'Poista käytöstä',
  'Disable Multicraft API access for this user?' => 'Poista Multicraft API käytöstä tältä käyttäjältä?',
  'Disabled' => 'Poistettu käytöstä',
  'Dismiss' => 'Sivuta',
  'Displayed IP' => 'Näkyvä IP',
  'Displayed on banner and in server view. Empty for same as IP' => 'Näkyvillä esittelykuvassa ja palvelimen tiedoissa. Tyhjänä sama kuin IP',
  'Done' => 'Valmis',
  'Download' => 'Lataa',
  'Edit Config File' => 'Muokaa config-tiedostoa',
  'Email' => 'Sähköposti',
  'Empty directory name not allowed.' => 'Tyhjä kansionnimi ei ole sallittu.',
  'Empty for default file.' => 'Jätä tyhjäksi vakiotiedostoa varten.',
  'Empty for default value' => 'Jätä tyhjäksi vakioarvoa varten',
  'Empty response' => 'Tyhjä vastaus',
  'Empty to select automatically' => 'Jätä tyhjäksi automaattista valintaa varten',
  'Enable' => 'Ota käyttöön',
  'Enabled' => 'Käytössä',
  'English' => 'Englanti',
  'Enter current password to confirm the changes.' => 'Anna nykyinen salasanasi vahvistaaksesi muutokset.',
  'Error' => 'Virhe',
  'Error during backup, please check the daemon log' => 'Virhe varmuuskopioinnin aikana. Ole hyvä ja ota yhteyttä tukeen.',
  'Error generating password reset token.' => 'Virhe luodessa salasanan palautusavainta.',
  'Error getting player list: ' => 'Virhe hakiessa pelaajalistaa: ',
  'Error getting server status: ' => 'Virhe hakiessa palvelimen tilaa: ',
  'Error in the FTP client module.' => 'Virhe FTP-asiakasmoduulissa.',
  'Error sending chat: ' => 'Virhe viestin lähettämisessä: ',
  'Error sending command:' => 'Virhe komennon lähettämisessä:',
  'Error sending command: ' => 'Virhe komennon lähettämisessä: ',
  'Error sending password reset link.' => 'Virhe salasanan palautuslinkin lähettämisessä.',
  'Error updating config file!' => 'Virhe config-tiedoston päivittämisessä!',
  'Error: Permission denied.' => 'Vihe: pääsy evätty.',
  'Everyone' => 'Kaikki',
  'Expired' => 'Umpeutunut',
  'FTP Client' => 'FTP-asiakasohjelma',
  'FTP File Access' => 'Pääsy FTP-tiedostoihin',
  'FTP Password' => 'FTP-salasana',
  'FTP Server Login' => 'Kirjautuminen FTP-palvelimelle',
  'FTP Username' => 'FTP-käyttäjätunnus',
  'FTP access / FTP username' => 'FTP-pääsy / FTP-käyttäjätunnus',
  'Failed' => 'Epäonnistui',
  'Failed to assign user!' => 'Käyttäjälle siirtäminen epäonnistui!',
  'Failed to change MySQL password for "{db}"!' => 'MySQL-salasanan vaihto tietokannalle "{db}" epäonnistui!',
  'Failed to change user role!' => 'Käyttäjän roolin muuttaminen epäonnistui!',
  'Failed to clear chat: ' => 'Keskustelun tyhjentäminen epäonnistui: ',
  'Failed to clear log: ' => 'Lokin tyhjentäminen epäonnistui: ',
  'Failed to create MySQL database "{db}"!' => 'MySQL-tietokannan "{db}" luonti epäonnistui!',
  'Failed to deactivate password reset token.' => 'Salasanan palautusavaimen käytöstäpoisto epäonnistui.',
  'Failed to delete MySQL database "{db}"!' => 'MySQL-tietokannan "{db}" poistaminen epäonnistui!',
  'Failed to install plugin' => 'Lisäosan asentaminen epäonnistui',
  'Failed to open file!' => 'Tiedoston avaaminen epäonnistui!',
  'Failed to remove plugin' => 'Lisäosan poistaminen epäonnistui',
  'Failed to save parameter list' => 'Parametrilistan tallennus epäonnistui',
  'Failed to send request.' => 'Pyynnön lähettäminen epäonnistui.',
  'Failed to unpack archive because another unpack operation is currently in progress' => 'Arkiston purkaminen epäonnistui, koska toinen purkuoperaatio on jo käynnissä',
  'Failed to unpack archive because it contains invalid files (absolute paths or paths outside of the unpack directory). See the log for details.' =>
    'Arkiston purkaminen epäonnistui, koska se sisältää kiellettyjä tiedostoja. (absoluuttisia polkuja tai polkuja purkamiskansion ulkopuolella). Ota yhteyttä tukeen.',
  'Failed to unpack archive because it contains restricted file types. See the log for details.' => 'Arkiston purkaminen epäonnistui, koska se sisältää kiellettyjä tiedostomuotoja. Ota yhteyttä tukeen.',
  'Failed to {action} plugin' => 'Toiminto {action} epäonnistui lisäosalle',
  'False' => 'Epätosi',
  'Fields with <span class="required">*</span> are required.' => 'Fields with <span class="required">*</span> are required.',
  'File' => 'Tiedosto',
  'File List' => 'Tiedostolista',
  'File not found!' => 'Tiedostoa ei löytynyt!',
  'Filename contains invalid characters' => 'Tiedostonnimi sisältää kiellettyjä merkkejä',
  'Files' => 'Tiedostot',
  'For example the text for the say command.' => 'Esimerkiksi teksti say-komennolle.',
  'For users whose IP matches a player ingame' => 'Käyttäjille, joiden IP-osoite vastaa pelissä olevaa pelaajaa',
  'Forgot password?' => 'Unohditko salasanasi?',
  'Full access' => 'Täysi pääsy',
  'Function disabled in demo mode!' => '',
  'Function disabled in demo mode.' => '',
  'Generate API Key' => 'Luo API-avain',
  'Generate a new password?' => 'Luo uusi salasana?',
  'Give' => 'Anna',
  'Give Item' => 'Anna tavara',
  'Give Role' => 'Anna rooli',
  'Global' => 'Globaali',
  'Global Role' => 'Globaali rooli',
  'Guest' => 'Vieras',
  'Hello {name},' => 'Hei {name},',
  'Help' => 'Tuki',
  'Hidden' => 'Piilotettu',
  'Hide Advanced Options' => 'Piilota edistyneet asetukset',
  'Hide Permissions' => 'Piilota käyttöoikeudet',
  'Home' => 'Koti',
  'Host' => 'Isäntä',
  'Hours' => 'Tunnit',
  'ID' => 'ID',
  'IP' => 'IP-osoite',
  'IP Auth Role' => 'IP-kirjautumisrooli',
  'If you change the role of a player you need to save this form again and run "reload" in the console' => 'Jos vaihdat pelaajan roolia, sinun täytyy tallentaa ja käynnistää palvelin uudelleen.',
  'If you did not request a password reset you can either just let the reset token expire or deactivate it using the following link:' =>
    'Jos et pyytänyt salasanan palautusta, voit joko antaa tämän pyynnön vanhentua, tai poistaa sen käytöstä painamalla seuraavaa linkkiä:',
  'If you have questions regarding our server management software or if you find a bug please contact us using this form or by sending an email to {email}.' =>
    'Jos sinulla on kysyttävää palvelinhallintaohjelmistostamme tai löydät ohjelmistovian, ole hyvä ja ota meihin yhteyttä tällä lomakkeella, tai lähetä meille sähköpostia osoitteeseen {email}.',
  'In MB. Empty for default amount' => 'Megatavuina. Jätä tyhjäksi vakiomäärää varten.',
  'In MB. Empty for same as Max. Memory' => 'Megatavuina. Jätä tyhjäksi maksimimuistimäärää varten.',
  'In case the above link doesn\'t work you can enter the following token manually:' => 'Mikäli ylläoleva linkki ei toimi, voit kirjoittaa seuraavan avaimen käsin: ',
  'In case this is a bug report please include all the error messages you encountered and a short description of how to reproduce the bug.' =>
    'Mikäli kyseessä on ohjelmistovian ilmoitus, ole hyvä ja laita mukaan kaikki virheviestit mihin olet törmännyt, sekä lyhyt kuvaus siitä miten ohjelmistovian voi tuottaa uudelleen.',
  'Incorrect password' => 'Väärä salasana',
  'Incorrect username or password.' => 'Väärä käyttäjänimi tai salasana',
  'Inform the players when the world has been saved' => 'Ilmoita pelaajille keskustelussa, kun maailma tallennetaan.',
  'Information' => 'Tietoa',
  'Install' => 'Asenna',
  'Installation Time' => 'Asennusaika',
  'Installed' => 'Asennettu',
  'Installed Files' => 'Asennetut tiedostot',
  'Installed Version' => 'Asennettu versio',
  'Installer' => 'Asentaja',
  'Interval' => 'Aikaväli',
  'Invalid language selected' => 'Väärä kielivalinta',
  'Invalid password reset token.' => 'Väärä salasanan palautusavain.',
  'Invalid request' => 'Invalidi pyyntö',
  'Invalid request. Please do not repeat this request again.' => 'Invalidi pyyntö. Ole hyvä äläkä lähetä tätä pyyntöä enää.',
  'Invalid role selected.' => 'Väärä rooli valittu.',
  'Invalid target player...' => 'Väärä kohdepelaaja...',
  'Invalid user selected.' => 'Väärä käyttäjä valittu.',
  'Invalid version selected' => 'Väärä versio valittu.',
  'JAR File' => 'JAR-tiedosto',
  'JAR file selection' => 'JAR-tiedoston valinta',
  'Kill' => 'Tapa',
  'Language' => 'Kieli',
  'Last Quit Reason' => 'Vimmeisin poislähdön syy',
  'Last Run' => 'Viimeisin ajo',
  'Last Seen' => 'Viimeksi nähty',
  'Leave empty for "world"' => 'Jätä tyhjäksi "world" varten',
  'Leave page without saving changes?' => 'Lähde sivulta tallentamatta muutoksia?',
  'Letters are not case-sensitive.' => 'Kirjainkoko ei merkitse.',
  'List' => 'Lista',
  'Local Plugins' => 'Paikalliset lisäosat',
  'Log' => 'Loki',
  'Login' => 'Kirjaudu',
  'Login temporarily blocked.' => 'Kirjautuminen tilapäisesti estetty.',
  'Logout' => 'Kirjaudu ulos',
  'Logout ({name})' => 'Kirjaudu ulos ({name})',
  'Look for JARs in' => 'Etsi JAR-tiedostoja kansiosta',
  'MB' => 'MB',
  'Manage' => 'Hallitse',
  'Manage Commands' => 'Hallitse komentoja',
  'Manage Players' => 'Hallitse pelaajia',
  'Manage Server Data' => 'Hallitse palvelimen tietoa',
  'Manage Servers' => 'Hallitse palvelimia',
  'Manage Tasks' => 'Hallitse tehtäviä',
  'Match player IPs to control panel visitors to assign special roles. Enables the "IP Authentication" field in the server settings.' =>
    'Sovita yhteen pelaajien IP-osoite hallintapaneelin kävijöiden IP-osotteiden kanssa erikoisten roolien antamista varten. Ottaa käyttöön "IP-tunnistautuminen" kentän palvelimen asetuksissa.',
  'Memory' => 'Muisti',
  'Message' => 'Viesti',
  'Message of the Day' => 'Päivän viesti',
  'Message too long.' => 'Viesti on liian pitkä.',
  'Minecraft EULA' => 'Minecraft-käyttöehdot',
  'Minecraft FTP Client' => 'Minecraft FTP -asiakasohjelma',
  'Minecraft Server' => 'Minecraft-palvelin',
  'Minecraft Server Manager' => 'Minecraft-palvelinhallinta',
  'Minutes' => 'Minuutteja',
  'Missing argument' => 'Puuttuva argumentti',
  'Moderator' => 'Moderaattori',
  'Multicraft - New Server Assigned' => 'Multicraft - Uusi palvelin',
  'Multicraft - Password Changed' => 'Multicraft - Salasana vaihdettu',
  'Multicraft - Password Reset' => 'Multicraft - Salasanan palautuspyyntö',
  'Multicraft Installer' => 'Multicraft asentaja',
  'Multicraft Password' => 'Multicraft salasana',
  'Multicraft allows you to access your files via FTP.' => 'Multicraft antaa sinulle pääsyn tiedostoihisi FTP:n avulla.',
  'Multicraft uses the following technologies:' => 'Multicraft käyttää seuraavia teknologioita:',
  'My Profile' => 'Profiilini',
  'My Servers' => 'Palvelimeni',
  'MySQL Database' => 'MySQL-tietokanta',
  'Name' => 'Nimi',
  'Never' => 'Ei ikinä',
  'New API key generated.' => 'Uusi API-avain luotu',
  'New Command' => 'Uusi komento',
  'New Config File Setting' => 'Uusi config-tiedoston asetus',
  'New Password' => 'Uusi salasana',
  'New Password must be repeated exactly.' => 'Uusi salasana tulee toistaa tarkasti.',
  'New Player' => 'Uusi pelaaja',
  'New Server' => 'Uusi palvelin',
  'New Task' => 'Uusi tehtävä',
  'New User' => 'Uusi käyttäjä',
  'No' => 'Ei',
  'No Access' => 'Ei pääsyä',
  'No FTP account found' => 'FTP-tunnusta ei löytynyt',
  'No account found for this email address.' => 'Tunnusta ei löytynyt tälle sähköpostiosoitteelle.',
  'No backup in progress' => 'Ei varmuuskopioita käynnissä',
  'No connection for daemon {id}' => 'Ei yhteyttä daemoniin {id}',
  'No daemon found for this server.' => 'Daemonia ei löytynyt tälle palvelimelle.',
  'No permission to change that user.' => 'Ei oikeuksia vaihtaa käyttäjää.',
  'No players online' => 'Ei pelaajia paikalla',
  'None' => 'Ei mitään',
  'Not Installed' => 'Ei asennettu',
  'Not Scheduled' => 'Ei ajastettu',
  'Not connected!' => 'Ei yhteydessä!',
  'Not installed' => 'Ei asennettu',
  'Note that if the base directory doesn\'t get deleted and you\'re using a multiuser configuration the system user/group won\'t be deleted either' =>
    'Ota huomioon, että jos päähakemistoa ei poisteta ja käytät multiuser-asetusta, järjestelmän käyttäjää ja ryhmää ei myöskään poisteta',
  'Notifying new daemon of completed transfer' => 'Ilmoitetaan uudelle daemonille valmistuneesta siirrosta',
  'Offline' => 'Poissa päältä',
  'Online' => 'Päällä',
  'Only show this command to other superusers' => 'Näytä tämä komento vain muille superusereille',
  'Only show this task to other superusers' => 'Näytä tämä tehtävä vain muille superusereille',
  'Op' => 'Op',
  'Op Server Owner' => 'Op:ta palvelimen omistaja',
  'Options' => 'Vaihtoehdot',
  'Outdated' => 'Vanhentunut',
  'Owner' => 'Omistaja',
  'Owner Scheduled Tasks' => 'Omistajan ajastetut tehtävät',
  'Owner can change the "Look for JARs in" setting' => 'Omistaja voi muuttaa asetusta "Etsi JAR-tiedostoja kansiosta"',
  'Owner can change the server visibility and Default Role' => 'Omistaja voi muuttaa palvelimensä näkyvyyttä ja vakioroolia',
  'Owner can create MySQL DB' => 'Omistaja voi luoda MySQL-tietokannan',
  'Owner can create scheduled tasks and change the autosave setting' => 'Omistaja voi luoda ajastettuja tehtäviä ja muutaa automaatisen tallennuksen asetusta',
  'Owner can give FTP access to other users' => 'Omistaja voi antaa FTP-pääsyn muille käyttäjille',
  'Owner can select additional server startup parameters' => 'Omistaja voi valita ylimääräisiä käynnistysparametrejä palvelimelle',
  'Owner can set Name' => 'Omistaja voi vaihtaa nimen',
  'Owner can use Templates' => 'Omistaja voi käyttää mallinteita',
  'Owner can use the Setup/Template functionality' => 'Omistaja voi käyttää setup/mallinne ominaisuutta',
  'Owner managed FTP' => 'Omistajan hallitsema FTP',
  'Owner only' => 'Ainostaan omistaja',
  'Owner selectable JAR' => 'Omistajan valittava JAR-tiedosto',
  'Owner set JAR directory' => 'Omistajan valittava JAR-kansio',
  'Owner set Player Count' => 'Omistajan valittava pelaajamäärä',
  'Owner set Startup Parameters' => 'Omistajan valittavat käynnistysparametrit',
  'Owner set Visibility' => 'Omistajan valittava näkyvyys',
  'PID' => 'PID',
  'Packing server files on source daemon' => 'Pakataan palvelimen tiedostot daemonilla',
  'Parameter' => 'Parametri',
  'Password' => 'Salasana',
  'Password Reset Token' => 'Salasanan palautusavain',
  'Password does not match' => 'Salasana ei täsmää',
  'Password reset token deactivated.' => 'Salasanan palautusavain poistettu käytöstä.',
  'Password:' => 'Salasana:',
  'Paused' => 'Keskeytetty',
  'Pending' => 'Ratkaisematta',
  'Permission denied' => 'Oikeus evätty',
  'Permission denied.' => 'Oikeus evätty.',
  'Permissions Plugin' => 'Oikeuksienhallintalisäosa',
  'Permissions, comma sepparated' => 'Oikeudet, pilkulla eroteltuina',
  'Player List' => 'Pelaajalista',
  'Player Slots' => 'Pelaajapaikat',
  'Player saved.' => 'Pelaaja tallennettu.',
  'Players' => 'Pelaajat',
  'Please don\'t use special characters.' => 'Älä käytä erikoismerkkejä, kiitos',
  'Please enter "{yes}" or "{no}"' => 'Ole hyvä ja kirjoita joko "{yes}" tai "{no}"',
  'Please enter the letters as they are shown in the image above.' => 'Ole hyvä ja kirjoita kirjaimet, niinkuin ne ovat ylläolevassa kuvassa.',
  'Please select a server' => 'Ole hyvä ja valitse palvelin',
  'Please wait for the action to complete.' => 'Ole hyvä ja odota toimenpiteen valmistumista.',
  'Plugin Name' => 'Lisäosan nimi',
  'Plugin Page' => 'Lisäosasivu',
  'Plugins' => 'Lisäosat',
  'Port' => 'Portti',
  'Powered by' => '',
  'Prefix' => 'Etuliite',
  'Prerequisite' => 'Vaatimus',
  'Press OK to move the server and all server files to the new daemon. This process can take a lot of time depending on the total number and size of all server files.\\n\\nThe daemon dropdown will revert back to the previous one until the transfer is complete.\\n\\nPressing cancel will only change the daemon ID setting without moving any files.' =>
    'Paina OK siirtääksesi palvelimen ja kaikki sen tiedostot uudelle daemonille. Tässä toimenpiteessä saattaa kestää erittäin kauan riippuen palvelimen tiedostojen koosta. \\n\\nDaemon valikko vaihtuu takaisin aiempaan daemoniin, kunnes palvelin on siirretty uudelle.\\n\\nPeruminen vaihtaa ainoastaan daemonin, mutta ei siirrä tiedostoja.',
  'Previous IPs' => 'Aikasemmat IP-osoitteet',
  'Profile' => 'Profiili',
  'Property File' => 'Ominaisuustiedosto',
  'Re-Scheduled' => 'Uuudelleen ajastettu',
  'Read only' => 'Vain luku',
  'Register' => 'Rekisteröidy',
  'Register here' => 'Rekisteröidy täältä',
  'Regularly save the world to the disk' => 'Tallenna maailma levylle säännöllisesti',
  'Remove' => 'Poista',
  'Remove API Key' => 'Poista API-avain',
  'Remove role and FTP access of old owner manually' => 'Poista rooli ja FTP-pääsy vanhalta omistajalta käsin',
  'Repair Tool' => 'Korjaustyökalu',
  'Required Role' => 'Vaadittu rooli',
  'Reset Password' => 'Palauta salasana',
  'Resource usage' => 'Resurssienkäyttö',
  'Response' => 'Vastaus',
  'Restart' => 'Uudelleenkäynnistä',
  'Restart if Empty' => 'Uudelleenkännistä jos tyhjä',
  'Restore' => 'Palauta',
  'Resume' => 'Jatka',
  'Role' => 'Rooli',
  'Role assigned to players on first connect ("No Access" for whitelisting)' => 'Pelaajille annettu rooli ensimmäisellä liittymiskerralla ("Ei pääsyä" valkolistausta varten)',
  'Role required to use web based give/teleport' => 'Verkkosivujen kautta käytettävään teleporttin ja antokomentoon vaadittu rooli',
  'Role that applies for all servers' => 'Rooli, jota sovelletaan kaikkiin palveliomiin',
  'Root Superuser' => 'Root superuser',
  'Run' => 'Aja',
  'Run For' => 'Aja',
  'Run Once' => 'Aja kerran',
  'Run Repair Tool' => 'Aja korjaustyökalu',
  'Run Setup on every server start' => 'Aja setup joka käynnistyksessä',
  'Run on every server startup' => 'Aja jokaisessa uudelleenkäynnistyksessä',
  'Run this Minecraft command (<a href="http://www.multicraft.org/site/page?view=usage#commands" target="_blank">see usage</a> for arguments and multiple commands)' => '',
  'Runs only for players that are online, or always if "Server" is selected.' => 'Ajaa ainoastaan pelaajille, jotka ovat paikalla, tai aina jos "palvelin" on valittu',
  'SHA is recommended if available' => 'SHA on suositeltu, jos saatavilla',
  'Same as Normal Theme' => 'Sama kuin normaaliteema',
  'Save' => 'Tallenna',
  'Save World' => 'Tallenna maailma',
  'Save changes and reload page?\\nYou can press cancel and manually save the changes using the button below.' =>
    'Tallenna muutokset ja lataa sivu uudelleen?\\nVoit painaa peruuta ja tallentaa tiedostot käsin alapuolella olevasta napista.',
  'Say Player List' => '',
  'Scheduled' => 'Ajastettu',
  'Scheduled Tasks' => 'Ajastetut tehtävät',
  'Scheduled Time' => 'Ajastettu aika',
  'Search' => 'Haku',
  'See the "Users" menu of your server for a list of FTP accounts' => '',
  'Select' => 'Valitse',
  'Send' => 'Lähetä',
  'Send Assign Notification' => 'Lähetä siirtotiedote',
  'Send Reset Link' => 'Lähetä palautuslinkki',
  'Send Welcome Mail' => 'Lähetä tervetuliaisviesti',
  'Send failed!' => 'Lähetys epäonnistui!',
  'Send new password if changed' => 'Lähetä uusi salasana, jos muutettu',
  'Server' => 'Palvelin',
  'Server ID' => 'Palvelimen ID',
  'Server JAR' => 'Palvelimen JAR',
  'Server JAR directory*' => 'Palvelimen JAR-hakemisto*',
  'Server List' => 'Palvelinlista',
  'Server Settings' => 'Palvelimen asetukset',
  'Server Visibility' => 'Palvelimen näkyvyys',
  'Server base directory*' => 'Palvelimen pääkansio*',
  'Server files won\'t be deleted:' => 'Palvelimen tiedostoja ei poisteta:',
  'Server move failed, please check the server console and multicraft.log. Last error:' => 'Palvelimen siirtäminen epäonnistui. Ole hyvä ja katso konsoli ja loki. Viimeisin virhe:',
  'Server move started' => 'Palvelimen siirto käynnistetty',
  'Server move status from daemon {a} to daemon {b}:' => 'Palvelimen siirron tilanne daemonilta {a} daemonille {b}:',
  'Server resume failed: ' => 'Palvelimen jatkaminen epäonnistui',
  'Server resumed' => 'Palvelinta jatkettu',
  'Server settings saved.' => 'Palvelimen asetukset tallennettu',
  'Server still running' => 'Palvelin on vieläkin käynnissä',
  'Server suspend failed: ' => 'Palvelimen keskeytys epäonnistui: ',
  'Server suspended' => 'Palvelin keskeytetty',
  'Server to connect to' => 'Palvelin johon yhdistää',
  'Servermove completed.' => 'Palvelimen siirto valmis.',
  'Servers' => 'Palvelimet',
  'Settings' => 'Asetukset',
  'Setup' => 'Setup',
  'Show' => 'Näytä',
  'Show Advanced Options' => 'Näytä edistyneet asetukset',
  'Show Permissions' => 'Näytä oikeudet',
  'Staff' => 'Henkilökunta',
  'Start' => 'Käynnistä',
  'Start this server automatically when Multicraft restarts' => 'Käynnistä tämä palvelin automaattisesti, kun Multicraft käynnistyy',
  'Startup Memory' => 'Käynnistysmuisti',
  'Startup Parameters' => 'Käynnistysparametrit',
  'Status' => 'Tila',
  'Status Banner' => 'Tilakuva',
  'Stay logged in' => 'Pysy kirjautuneena sisälle',
  'Stop' => 'Sammuta',
  'Stop if Empty' => 'Sammuta, jos tyhjä',
  'Submit' => 'Lähetä',
  'Suffix' => 'Jälkiliite',
  'Summon' => 'Kutsu',
  'Summon Player' => 'Kutsu pelaaja',
  'Summon Role' => 'Kutsurooli',
  'Super Moderator' => 'Supermoderaattori',
  'Superuser' => 'Superuser',
  'Support' => 'Tuki',
  'Support Form' => 'Tukilomake',
  'Suspend' => 'Keskeytä',
  'Suspended' => 'Keskeytetty',
  'Teleport' => 'Teleporttaa',
  'Teleport Other' => 'Teleporttaa muu',
  'Teleport Role' => 'Teleporttirooli',
  'Teleport To' => 'Teleporttaa paikkaan',
  'Teleport to' => 'Teleporttaa paikkaan',
  'Template' => 'Mallinne',
  'Thank you for contacting us!' => 'Kiitos yhteydenotostanne!',
  'The associated database will also be deleted.' => 'Liittyvä tietokanta poistetaan myös.',
  'The backup is available as "<b>{file}</b>" on the following FTP server:' => 'Varmmuuskopio on saatavilla nimellä "<b>{file}</b>" seuraavalla FTP-palvelimella:',
  'The base directory contains invalid characters.' => 'Päähakemisto sisältää kiellettyjä merkkejä.',
  'The following template will be setup on the next server startup' => 'Seuraava mallinne ajetaan seuraavassa käynnistyksessä',
  'The operation timed out, please check the console for more information.' => 'Operaatio aikakatkaistiin, ole hyvä ja tarkasta konsoli.',
  'The plugin archive is being unpacked, please see the server log.' => 'Lisäosaarkistoa puretaan, ole hyvä ja tarkasta konsoli.',
  'The requested page does not exist.' => 'Pyydettyä sivua ei ole olemassa.',
  'The server ID, use 0 for "Global"' => 'Palvelimen ID, käytä 0 jos globaali',
  'The server is offline.' => 'Palvelin on poissa päältä.',
  'The server is online!' => 'Palvelin on päällä!',
  'The server is still running, please stop the server first.' => 'Palvelin on vieläkin päällä, ole hyvä ja sammuta se ensin.',
  'The server status is currently changing.' => 'Palvelimen tila on muuttumassa.',
  'The users message has to begin with this' => 'Käyttäjän viestin täytyy alkaa tällä',
  'The world name contains invalid characters.' => 'Maailman nimi sisältää kiellettyjä merkkejä.',
  'There are no plugins available for the "JAR File" currently in use by the server.' => 'Lisäosia ei ole saatavilla käytössä olevalle JAR-tiedostolle.',
  'There is an error with the daemon connection for this Server' => 'Tämän palvelimen daemon-yhteydessä on ongelma.',
  'There is currently no database associated with this server.' => 'Palvelimelle ei ole luotu tietokantaa.',
  'This address can be used to join the server without any port numbers.' => 'Tällä osoitteella voi liittyä palvelimelle ilman porttinumeroa.',
  'This command has to be run before' => 'Tämä komento täytyy ajaa etukäteen',
  'This creates a new MySQL database for this server.' => 'Tämä luo MySQL-tietokannan palvelimelle.',
  'This is a tool that can fix corrupted worlds. Use it at your own risk and create a backup first.' => 'Tämä on työkalu, jolla voi korjata korruptoituneita maailmoja. Käyttö on omalla vastuulla, ole hyvä ja luo varmuuskopio ensin.',
  'This name is already in use by another command.' => 'Tämä nimi on jo toisen komennon käytössä.',
  'This name is already in use by another player.' => 'Tämä nimi on jo toisen pelaajan käytössä.',
  'This name is already in use by another task.' => 'Tämä nimi on jo toisen tehtävän käytössä.',
  'This server needs additional files to run correctly. Your changes will now be saved and you will be forwarded to the \\"Setup\\" section to configure your server installation.\\n\\nPress \\"Cancel\\" to stay on this page.' =>
    'Palvelin tarvitsee ylimääräisiä tiedostoja käynnistyäkseen oikein. Muutoksesi tallennetaan ja sinut ohjataan Setup-osioon, josta voit muokata palvelinasennuksen asetuksia.\\n\\nPaina peruuta pysyäksesi tällä sivulla.',
  'This tool will only run when your server has been fully stopped first. Use it at your own risk.' =>
    'Tämä työkalu käynnistyy vain, jos palvelimesi on ensin sammutettu. Käyttö omalla vastuulla.',
  'This will overwrite existing files with files from the archive. It is recommended that the server is stopped before performing a restore.\\n\\nThe operation will run in the background and can take a while to complete. See the console for information about the progress of the unpack.' =>
    'Tämä ylikirjoittaa olemassa olevat tiedostot arkiston tiedostoilla. Suosittelemme, että palvelin on sammutettu ennen palautuksen suorittamista.\\n\\nOperaatio ajetaan taustalla ja sillä voi kestää hetki valmistua. Ole hyvä ja tarkista konsoli saadaksesi lisätietoja.',
  'Time' => 'Aika',
  'To edit your profile visit:' => 'Muokkaaksesi profiiliasi mene:',
  'To proceed with the password reset, please use the following link within the next {nr} hours:' => 'Edetäksesi salasanan palautuksen kanssa, ole hyvä ja käytä seuraavaa linkkiä {nr} tunnin sisällä.',
  'To see a list of all of your servers visit:' => 'Nähdäksesi listan kaikista palvelimistasi mene:',
  'Token' => 'Avain',
  'Transfer complete, starting unpack' => 'Siirto valmis, aloitetaan purku',
  'True' => 'Tosi',
  'Type' => 'Tyyppi',
  'Type <b>yes</b> here to delete <b>all</b> files in this servers base directory (including all worlds).' => 'Kirjoita <b>yes</b> tähän poistaaksesi <b>kaikki</b> tiedostot palvelimen kansiosta, mukaanlukien maailmat.',
  'Unable to connect to FTP server <b>{ip}</b> on port <b>{port}</b>.' => 'Yhdistäminen FTP-palvelimelle osoitteessa <b>{ip}</b> portissa <b>{port</b> epäonnistui.',
  'Unable to login to FTP server, please make sure the password has been entered correctly.<br/><br/>(FTP Server: {ip}:{port}, user: {user})<br/><br/>' =>
    'FTP-palvelimelle kirjautuminen epäonistui. Ole hyvä ja varmista, että salasana on kirjoitettu oikein.<br/><br/>(FTP-palvelin: {ip}:{port}, käyttäjä: {user})<br/><br/>',
  'Unassigned' => 'Siirtämätön',
  'Unauthorized Kick Delay' => 'Luvattomien potkimisaikaväli',
  'Unpack' => 'Pura',
  'Unpacking server files on destination daemon' => 'Puretaan palvelimen tiedostoja daemonille',
  'Unsuspending server' => 'Jatketaan palvelinta',
  'Update' => 'Päivitys',
  'Update available' => 'Päivitys saatavilla',
  'Update list every {field} seconds' => 'Päivitä lista joka {field} sekunti',
  'Uploading server files to new daemon' => 'Siirretään palvelimen tiedostoja uudelle daemonille',
  'Use Cloudflare integration, so that users can forward one subdomain SRV record to their server. This option will add a menu to server options.' =>
    'Käytä Cloudflare-integrointia, jotta käyttäjät voivat ohjata yhden alidomain SRV-ohjauksen palvelimelleen. Tämä lisää valinnan palvelimen asetuksiin.',
  'Use this button if you agree to the Minecraft EULA' => 'Paina tätä nappia hyväksyäksesi Minecraftin käyttöehdot',
  'User' => 'Käyttäjä',
  'User List' => 'Käyttäjälista',
  'User saved.' => 'Käyttäjä tallennettu.',
  'Username' => 'Käyttäjänimi',
  'Username:' => 'Käyttäjänimi:',
  'Users' => 'Käyttäjät',
  'Users with Roles only' => '',
  'Verification Code' => 'Varmennuskoodi',
  'Version' => 'Versio',
  'View Task' => 'Katso tehtävää',
  'Visibility in the Multicraft server list' => 'Näkyvyys Multicraft-palvelinlistassa',
  'Warning: This will overwrite your existing users.yml and groups.yml!' => 'Varoitus: tämä ylikirjoittaa olemassa oleman users.yml ja groups.yml tiedoston!',
  'Welcome' => 'Tervetuloa',
  'Welcome to <b>{Multicraft}</b>, the Minecraft server control panel.' => 'Tervetuloa <b>{Multicraft}</b>, Minecraft hallintapaneeliin.',
  'Welcome to Multicraft!' => 'Tervetuloa hallintapaneeliin!',
  'Welcome to Multicraft! The login information for your new Multicraft account is:' => 'Tevertuloa hallintapaneeliin! Kirjautumistiedot uudelle tunnuksellesi ovat:',
  'Whispered to the player' => 'Kuiskasi pelaajalle',
  'World' => 'Maailma',
  'Yes' => 'Kyllä',
  'You are leaving your control panel.

You will be forwarded to the documentation on the official Multicraft website.' => '',
  'You are not authorized to perform this action.' => 'Et ole oikeutettu suorittamaan tätä toimintoa.',
  'You can either use the built-in FTP client or any other FTP client installed on your system.' => 'Voit joko käyttää sisäänrakennettua FTP-asiakasohjelmaa tai mitä tahansa muuta FTP-asiakasohjelmaa tietokoneellasi.',
  'You can login to Multicraft here:' => 'Voit kirjautua Multicraftiin täältä:',
  'You can use the following information to access your files with any FTP client.' => 'Voit käyttää seuraavia tietoja päästäksesi käsiksi tiedostoihisi käyttämällä mitä tahansa FTP-asiakasohjelmaa.',
  'You can use the {link} to access your backup. For all other FTP clients, please use the information below.' =>
    'Voit käyttää linkkiä {link} päästäksesi käsiksi varmuuskopioosi. Muille FTP-asiakasohjelmille on tiedot alapuolella.',
  'You don\'t have an FTP account for this server.' => 'Sinulla ei ole FTP-tunnuksia tälle palvelimelle.',
  'You may optionally enter a comparison operator (<b>&lt;</b>, <b>&lt;=</b>, <b>&gt;</b>, <b>&gt;=</b>, <b>&lt;&gt;</b> or <b>=</b>) at the beginning of each of your search values to specify how the comparison should be done.' => '',
  'Your Multicraft Password' => 'Multicraft-salasanasi',
  'Your Multicraft login password' => 'Multicraft-kirjautusmisalasanasi',
  'Your Multicraft password has been changed. The new login information for your Multicraft account is:' => 'Multicraft-salasanasi on muuttunut. Uudet kirjautumistiedot tunnuksellesi ovat:',
  'Your backup is available as "<b>{file}</b>" in your servers base directory.' => 'Varmuuskopiosi on saatavilla tiedostonimellä "<b>{file}</b> palvelimesi päähakemistossa.',
  'Your own servers and other servers you have access to will be listed here.' => 'Omat palvelimesi ja muiden palvelimet, joihin sinulla on pääsy, listataan tähän.',
  'Your password has been successfully changed.' => 'Salasanasi on vaihdetu onnistuneesti.',
  'by {author}' => '',
  'd. M Y H:i' => '',
  'd. M Y, H:i' => '',
  'day|days' => '',
  'dd. M yy' => '',
  'error' => 'virhe',
  'hour|hours' => 'tunti|tuntia',
  'if you don\'t have an account yet.' => 'jos sinulla ei ole tunnus vielä.',
  'local host' => '',
  'minute|minutes' => 'minuutti|minuuttia',
  'more' => 'lisää',
  'no' => '',
  'players' => 'pelaajat',
  'yes' => '',
);
